<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="subsystem.elytron.constant-permission-mapper.permission-sets">
    <annotation name="jboss-op">
        <elem name="name" value="list-add"/>
        <elem name="op-params" value="permission-set"/>
        <elem name="complex-attribute" value="permission-sets"/>
        <elem name="addr-params" value="profile,host,subsystem,constant-permission-mapper"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.elytron"/>
    </annotation>
    <refs>
        <ref feature="subsystem.elytron.constant-permission-mapper"/>
        <ref feature="profile" nillable="true"/>
        <ref feature="host" nillable="true"/>
    </refs>
    <params>
        <param name="host" default="GLN_UNDEFINED"/>
        <param name="subsystem"/>
        <param name="permission-set"/>
        <param name="constant-permission-mapper"/>
        <param name="profile" default="GLN_UNDEFINED"/>
    </params>
</feature-spec>